Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence
Class RollbackException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.persistence.PersistenceException
                      javax.persistence.RollbackException

All Implemented Interfaces:
  java.io.Serializable

    public class RollbackException

extends PersistenceException

Thrown by the persistence provider when `EntityTransaction.commit()` fails.

Since:
  Java Persistence 1.0
See Also:
  `EntityTransaction.commit()`, Serialized Form

Constructor Summary
`RollbackException()` Constructs a new `RollbackException` exception with `null` as its detail message.
`RollbackException(java.lang.String message)` Constructs a new `RollbackException` exception with the specified detail message.
`RollbackException(java.lang.String message, java.lang.Throwable cause)` Constructs a new `RollbackException` exception with the specified detail message and cause.
`RollbackException(java.lang.Throwable cause)` Constructs a new `RollbackException` exception with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RollbackException

    public RollbackException()

  Constructs a new `RollbackException` exception with `null` as its detail message.

### RollbackException

    public RollbackException(java.lang.String message)

  Constructs a new `RollbackException` exception with the specified detail message.

  Parameters:
    `message` - the detail message.

### RollbackException

    public RollbackException(java.lang.String message,
                             java.lang.Throwable cause)

  Constructs a new `RollbackException` exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message.
    `cause` - the cause.

### RollbackException

    public RollbackException(java.lang.Throwable cause)

  Constructs a new `RollbackException` exception with the specified cause.

  Parameters:
    `cause` - the cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD